@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  --color-primary: rgb(0, 135, 205);
  --color-secondary: #3066be;
  --color-primary-light: rgb(112, 112, 241);
  --color-background: #f8fafc;
  --color-footer: #3c3744;
  --color-black: #000;
  --color-white: #fff;
  --color-black-40: rgb(0, 0, 0, 0.4);
  --color-black-60: rgb(0, 0, 0, 0.6);
  --color-black-80: rgb(0, 0, 0, 0.8);
  --color-white-40: rgb(255, 255, 255, 0.4);
  --color-button:#003399;
  --font-size: 16px;

  --padding-lg: 3em;
  --padding-md: 2em;
  --padding-sm: 1em;

  --border-radius: 10px;
}

html,
body {
  margin: 0px;
  padding: 0px;
  color: var(--color-black);
  background-color: var(--color-background);
  font-size: var(--font-size);

  /* Roboto font */
  font-family: "Roboto", sans-serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  font-variation-settings: "wdth" 100;
}

p,
span {
  line-height: 1.6;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin-block-start: 0px;
  margin-block-end: 0px;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
}

ul {
  margin: 0px;
  padding: 0px;
  list-style-type: none;
}

a {
  text-decoration: none;
}

a:hover {
  cursor: pointer;
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-thickness: auto;
}

.my-flex {
  display: flex;
  align-items: center;
  gap: 1em;
}

button {
  padding: 12px 24px;
  border: none;
  border-radius: var(--border-radius);
  background: var(--color-primary);
  color: black;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.3s ease;
  /* Ključ za glatke efekte */
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

button:hover {
  transform: translateY(-3px);
  /* Dugme se "podigne" */
  box-shadow: 0 10px 20px rgba(167, 119, 227, 0.4);
  /* Svetleća senka */
  filter: brightness(1.1);
}


button:active {
  transform: translateY(-1px);
  /* Efekat klika */
}